package com.sooka.system.domain;

import java.util.Date;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 报税信息对象 tgjj_bsxx
 *
 * @author lei
 * @date 2021-11-16
 */
public class TgjjBsxx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long ID;

    /** 借款合同编号 */
    @Excel(name = "借款合同编号")
    private String JKHTBH;

    /** 借款人姓名 */
    @Excel(name = "借款人姓名")
    private String JKRXM;

    /** 借款人证件类型 */
    @Excel(name = "借款人证件类型")
    private String JKRZJLX;

    /** 借款人证件号 */
    @Excel(name = "借款人证件号")
    private String JKRZJH;

    /** 是否为首套住房贷款 */
    @Excel(name = "是否为首套住房贷款")
    private String SFST;

    /** 是否为首笔住房贷款 */
    @Excel(name = "是否为首笔住房贷款")
    private String SFSB;

    /** 贷款类型 */
    @Excel(name = "贷款类型")
    private String DKLX;

    /** 约定放款日期 */
    @Excel(name = "约定放款日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date YDFKRQ;

    /** 约定到期日期 */
    @Excel(name = "约定到期日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date YDDQRQ;

    /** 贷款开户日期 */
    @Excel(name = "贷款开户日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date DKKHRQ;

    /** 首次还款日期 */
    @Excel(name = "首次还款日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date SCHKRQ;

    /** 贷款状态 */
    @Excel(name = "贷款状态")
    private String DKZT;

    /** 贷款结清日期 */
    @Excel(name = "贷款结清日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date DKJQRQ;

    /** 中心编号 */
    @Excel(name = "中心编号")
    private String ZXBH;

    /** 最后更新时间戳 */
    @Excel(name = "最后更新时间戳", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastUpdateTime;

    /** 处理类型（1、插入2、更新3、删除） */
    @Excel(name = "处理类型", readConverterExp = "1=、插入2、更新3、删除")
    private Long CLLX;

    public void setID(Long ID)
    {
        this.ID = ID;
    }

    public Long getID()
    {
        return ID;
    }
    public void setJKHTBH(String JKHTBH)
    {
        this.JKHTBH = JKHTBH;
    }

    public String getJKHTBH()
    {
        return JKHTBH;
    }
    public void setJKRXM(String JKRXM)
    {
        this.JKRXM = JKRXM;
    }

    public String getJKRXM()
    {
        return JKRXM;
    }
    public void setJKRZJLX(String JKRZJLX)
    {
        this.JKRZJLX = JKRZJLX;
    }

    public String getJKRZJLX()
    {
        return JKRZJLX;
    }
    public void setJKRZJH(String JKRZJH)
    {
        this.JKRZJH = JKRZJH;
    }

    public String getJKRZJH()
    {
        return JKRZJH;
    }
    public void setSFST(String SFST)
    {
        this.SFST = SFST;
    }

    public String getSFST()
    {
        return SFST;
    }
    public void setSFSB(String SFSB)
    {
        this.SFSB = SFSB;
    }

    public String getSFSB()
    {
        return SFSB;
    }
    public void setDKLX(String DKLX)
    {
        this.DKLX = DKLX;
    }

    public String getDKLX()
    {
        return DKLX;
    }
    public void setYDFKRQ(Date YDFKRQ)
    {
        this.YDFKRQ = YDFKRQ;
    }

    public Date getYDFKRQ()
    {
        return YDFKRQ;
    }
    public void setYDDQRQ(Date YDDQRQ)
    {
        this.YDDQRQ = YDDQRQ;
    }

    public Date getYDDQRQ()
    {
        return YDDQRQ;
    }
    public void setDKKHRQ(Date DKKHRQ)
    {
        this.DKKHRQ = DKKHRQ;
    }

    public Date getDKKHRQ()
    {
        return DKKHRQ;
    }
    public void setSCHKRQ(Date SCHKRQ)
    {
        this.SCHKRQ = SCHKRQ;
    }

    public Date getSCHKRQ()
    {
        return SCHKRQ;
    }
    public void setDKZT(String DKZT)
    {
        this.DKZT = DKZT;
    }

    public String getDKZT()
    {
        return DKZT;
    }
    public void setDKJQRQ(Date DKJQRQ)
    {
        this.DKJQRQ = DKJQRQ;
    }

    public Date getDKJQRQ()
    {
        return DKJQRQ;
    }
    public void setZXBH(String ZXBH)
    {
        this.ZXBH = ZXBH;
    }

    public String getZXBH()
    {
        return ZXBH;
    }
    public void setLastUpdateTime(Date lastUpdateTime)
    {
        this.lastUpdateTime = lastUpdateTime;
    }

    public Date getLastUpdateTime()
    {
        return lastUpdateTime;
    }
    public void setCLLX(Long CLLX)
    {
        this.CLLX = CLLX;
    }

    public Long getCLLX()
    {
        return CLLX;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("JKHTBH", getJKHTBH())
            .append("JKRXM", getJKRXM())
            .append("JKRZJLX", getJKRZJLX())
            .append("JKRZJH", getJKRZJH())
            .append("SFST", getSFST())
            .append("SFSB", getSFSB())
            .append("DKLX", getDKLX())
            .append("YDFKRQ", getYDFKRQ())
            .append("YDDQRQ", getYDDQRQ())
            .append("DKKHRQ", getDKKHRQ())
            .append("SCHKRQ", getSCHKRQ())
            .append("DKZT", getDKZT())
            .append("DKJQRQ", getDKJQRQ())
            .append("ZXBH", getZXBH())
            .append("lastUpdateTime", getLastUpdateTime())
            .append("CLLX", getCLLX())
            .toString();
    }
}
